Package org.apache.qpid.proton.amqp.transport

# Class EmptyFrame

java.lang.Object
org.apache.qpid.proton.amqp.transport.EmptyFrame

All Implemented Interfaces:
  `FrameBody`

public final class EmptyFrame extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmptyFrame`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`EmptyFrame()`

## Method Summary

Modifier and Type
Method
Description
`EmptyFrame`
`copy()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final EmptyFrame INSTANCE

## Constructor Details

### EmptyFrame

public EmptyFrame()

## Method Details

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public EmptyFrame copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.